<?php
class DefaultCellRenderer {
	var $mCellValue		= null;
	var $mCellOptions	= array();
	
	function DefaultCellRenderer() {
		
	}

	function getValue() { return $this->mCellValue; }
	function setValue($value) { $this->mCellValue = $value; }

	function getOptions() { return $this->mCellOptions; }
	function setOptions($value) { $this->mCellOptions = $value; }

	function toStringOpenTag() {
		$html = "<td";
		foreach ($this->mCellOptions as $k=>$v) {
			$html .= " $k=\"$v\"";
		}
		$html .= ">";
		return $html;
	}
	
	function toStringCloseTag() {
		return "</td>";
	}
	
	function toStringValue($value) {
		return ($this->mCellValue=='' || $this->mCellValue==null ? '&nbsp;' : $this->mCellValue);
	}
	
	function toString() {
		return $this->toStringOpenTag() . $this->toStringValue($value) . $this->toStringCloseTag();
	}
	
	function toRender(&$table, $value, $row, $column ) {
		$this->setValue($value);
		return $this->toString();
	}
}
?>