<?php

import('form.FormElement');
	
class TextArea extends FormElement {
    var $mValue;
    var $mPassword	= false;
    var $mColumns	= "";
    var $mRows		= "";
    var $cClassName		= "TextArea";

	function TextArea($name,$value="")
	{
		$this->mName			= $name;
		$this->mValue			= $value;
	}
	
	function setColumns($value)	{ $this->mColumns = $value;	}
	function getColumns()	{ return $this->mColumns; }

	function setRows($value)	{ $this->mRows = $value;	}
	function getRows()	{ return $this->mRows; }
	
	function toStringControl()	{
		if (!$this->isRenderable()) return "";
	    
	    if ($this->mId=="") $this->mId = $this->mName;
	    
		$html = "\n\t<textarea";
		$html .= " name=\"$this->mName\" id=\"$this->mId\"";
		
		if ($this->mColumns!="")
		  $html .= " cols=\"$this->mColumns\"";
		  
		if ($this->mRows!="")
		   $html .= " rows=\"$this->mRows\"";
		   
		if ($this->mStyle!="")
		   $html .= " style=\"$this->mStyle\"";
		   
		$html .= ">".htmlspecialchars(stripslashes($this->getValue()))."</textarea>";
		
		return $html;
	}
}
?>