<?php
// +----------------------------------------------------------------------+
// | WR Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) 2004-2005 WR Consulting (http://www.wrconsulting.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+

	require_once('initialize.php');
	import('form.Form');
	import('UserHelper');

    $form = new Form('fpassForm');
    $form->addInput(array("type"=>"text","maxlength"=>"120","name"=>"login"));
    $form->addInput(array("type"=>"submit","name"=>"btsubmit","value"=>$i18n->getKey('button.sendpwd')));

    if ($request->getMethod()=="POST") {
    	$login = $request->getParameter("login");
    	if ($pass_val = UserHelper::getPassword($login)) {
	    	import("mail.Mail");
	    	$sender = new Mail();
	    	$sender->setCharSet($i18n->getCharSet());
	    	//$sender->setContentType("text/html");
	    	$sender->setSender(SENDER);
	    	$sender->setReceiver("$login");
	    	$sender->Send($i18n->getKey("form.fpass.send_pass_subj"), sprintf($i18n->getKey("form.fpass.send_pass_body"), $pass_val));
	    	$smarty->assign("result_message", $i18n->getKey("form.fpass.send_pass_str"));
    	} else
    		$smarty->assign("result_message", $i18n->getKey("errors.search_by_login"));
    }
    
	$smarty->assign("forms",array($form->getName()=>$form->toArray()));
    $smarty->assign("onload","onLoad=\"document.fpassForm.login.focus()\"");
    $smarty->assign("title_page",$i18n->getKey("form.fpass.title"));
  	$smarty->assign("content_page_name", "forgot_pass.tpl");
  	$smarty->display(INDEX_TEMPLATE);
?>